copied from aws-sdk/clients/dynamoDb GetItemOutput but added generics, because we process the items and map them to an actual type

### Type parameters

- #### T

### Hierarchy

- GetResponse

## Index

### Properties

- ConsumedCapacity
- Item

## Properties

### Optional ConsumedCapacity

ConsumedCapacity: DynamoDB.ConsumedCapacity

- Defined in dynamo/request/get/get.response.ts:18

The capacity units consumed by the GetItem operation. The data returned includes the total provisioned throughput consumed, along with statistics for the table and any indexes involved in the operation. ConsumedCapacity is only returned if the ReturnConsumedCapacity parameter was specified. For more information, see Provisioned Throughput in the Amazon DynamoDB Developer Guide.

### Item

Item: T | null

- Defined in dynamo/request/get/get.response.ts:14

A map of attribute names to AttributeValue objects, as specified by ProjectionExpression.